import {allResourceActions, FieldType, Renderer, ResourceConfiguration} from '../cobalt'

export default {
    resources: [
        {
            key: 'workItem',
            primaryKey: 'work_item_id',
            collection: 'work_items',
            display: {
                field: 'name',
                singular: 'Work Item',
                plural: 'Work Items',
            },
            supportedActions: allResourceActions,
            fields: [
                {
                    key: 'name',
                    display: 'Name',
                    type: FieldType.text,
                    required: true,
                },
                {
                    key: 'description',
                    display: 'Description',
                    type: FieldType.textarea,
                    required: true,
                    renderer: Renderer.html,
                },
                {
                    key: 'start_date',
                    display: 'Start Date',
                    type: FieldType.date,
                    required: true,
                    sort: 'desc',
                    renderer: Renderer.date,
                },
                {
                    key: 'end_date',
                    display: 'End Date',
                    type: FieldType.date,
                    required: false,
                    renderer: Renderer.date,
                }
            ],
        },
    ] as ResourceConfiguration[],
}
